body, html {
  height: 100%;
  margin: 0;
  overflow:hidden;
   /* Space for fixed tabs */
}

/* Tab navigation fixed at bottom */
.buttontab .nav-pills {
  position: fixed;
  bottom: 3%;
  left: 50%;
  width: max-content;
  background: #3f3f3f;
  box-shadow: 0 -2px 5px rgba(0, 0, 0, 0.1);
  padding: 10px 0;
  z-index: 1000;
  display: flex;
  transform: translate(-50%);
  border-radius: 59px;
  padding: 5px;
}
p {
    font-size: .875rem;

}
/* Full viewport height minus tab height */
.buttontab .tab-content {
  /* height: 100vh; */
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
   /* Space for bottom tabs */
}
.buttontab .nav-pills .nav-link.active{
  background: white;
  color: black;
  border-radius: 20px;
  transition: background-color 0.3s, color 0.3s;
}
.buttontab .nav-pills .nav-link{
  color: white;
  transition: background-color 0.3s, color 0.3s;
  padding: 5px 10px;
  font-size: 14px;
  height: 100%;
}
/*  */
.config-panel {
  display: none;
  position: fixed;
  right: 100px;
  top: 50%;
  transform: translateY(-50%);
  color: white;
  flex-direction: column;
}
.right-buttons {
  position: fixed;
  right: 20px;
  top: 50%;
  transform: translateY(-50%);
  display: flex;
  flex-direction: column;
  gap: 15px;
  background: rgba(254, 254, 254, 0.60);
  padding: 7px;
  border-radius: 47px;
}
.right-buttons .button {
  width: 50px;
  height: 50px;
  background: #808080;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  font-size: 23px;
  color: white;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
}
.rightbtn .close-button {
  padding: 7px;
  background: #ffffff;
  color: #232323;
  text-align: center;
  cursor: pointer;
  border-radius: 51px;
  display: flex;
  width: max-content;
  justify-content: center;
  align-items: center;
  margin: 12px auto;
}
.right-buttons .button.active{
  background: #282828;
}
.right-buttons .button svg{
  width: 42px;
  height: 36px;
}
.config-paneldiv{
  background: linear-gradient(39.62deg, rgba(255, 255, 255, 0.6) 21.81%, rgba(254, 254, 254, 0.15) 77.65%);
  padding: 0px;
  border-radius: 10px;
}
.config-maindiv{
  padding: 10px;
}
.containerTitle {
  font-size: 21px;
  color: white;
  margin-bottom: 8px;
  text-align: initial;
}
.contentDiv>div {
  background-position: center;
  background-size: 100% 100%;
  background-repeat: no-repeat;
}
.option-color {
  width: 38px;
  height: 38px;
}
.contentDiv.active {
  border: solid 2px #ffffff;
}

.infoContainer {
  display: grid;
 align-items: center;
gap: 13px;
grid-template-columns: repeat(2, 1fr);
}
/* ---------new added for name of product------ */
.namebox{
  position: absolute;
  bottom: 0%;
  color: #ffffff;
  right: 1%;
  /* transform: translate(0, -2%); */
  /* padding: 0px 0px 16px; */
  padding: 0px 0px 10px;
  background: #393838;
  border-radius: 26px 26px 0 0;
  font-size: 13px;
  width: 290px;
  box-shadow: 0 -2px 10px rgba(0, 0, 0, 0.2);
  transition: height 0.1s ease;
  animation-name: slide;
  animation-duration: 1s; 
  animation-fill-mode: forwards; 
  touch-action: none;     
}
.namebox h4{
  /* font-size: 18px;
  padding-top: 10px; */
  font-size: 12px;
  padding-top: 6px;
  margin-bottom: 0;
}
.namebox p{
  margin-bottom: 0;
}
.scrollable{
  /* max-height: 87vh; */
  height: calc(100% - 60px);
  overflow-y: auto;
  /* padding: 0px 20px;
  text-align: left;
  text-align: justify; */
  padding: 6px 20px 0;
  text-align: left;
  text-align: left;
  margin-top: 0px; 
  color: white;
}
.contentDiv button{
  padding: 0;
    border: 0;
}
.close-btn {
  position: absolute;
  top: -5px;
  right: 46%;
  font-size: 30px;
  font-weight: bold;
  color: #ffffff;
  cursor: pointer;
  transform: translate(0, -50%);
  background: red;
  width: 30px;
  height: 30px;
  line-height: 24px;
  border-radius: 58px;
}
/* width */
::-webkit-scrollbar {
  width: 5px;
}

/* Track */
::-webkit-scrollbar-track {
  background: #3f3f3f;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #585858;
  border-radius: 10px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #555;
}

.drag-handle {
  /* height: 45px; */
  cursor: ns-resize;
  /* display: flex; */
  /* align-items: center; */
  align-items: self-start;
  justify-content: center;
  /* border-bottom: 1px solid #232323; */
  /* background: #454545; */
  /* padding: 10px; */
  padding: 7px 0 0 0;
  border-radius: 20px 20px 0 0;
  /* box-shadow: 6px 3px 8px #0000003d; */
}

.drag-bar {
  /* width: 79px;
  height: 5px;
  background: #2c2a2a;
  border-radius: 20px; */
  width: 33px;
  height: 2px;
  background: #c3c3c3;
  border-radius: 20px;
}
.content {
  padding: 16px;
}
@-webkit-keyframes slide {
  0%   { transform: translate(0px,100px); }
  100% { transform: translate(0px,0px); }
}
@-moz-keyframes slide {
  0%   { transform: translate(0px,100px); }
  100% { transform: translate(0px,0px); }
}
@-o-keyframes slide {
  0%   { transform: translate(0px,100px); }
  100% { transform: translate(0px,0px); }
}
@keyframes slide {
  0%   { transform: translate(0px,100px); }
  100% { transform: translate(0px,0px); }
}
/* ----------------------- */
.option-color1{
  width: 100px;
  height: 100px;
  background: #2a2a2a;
}
.large {
  width: 180px;
  height: 180px;
}
.adjust button{
  background: transparent;
}

/* -------------------------product desscription------------- */
.product-description {
        font-size: .875rem;
        line-height: 1.125rem;
        border-radius: 14px;
        --bs-accordion-bg: transparent;
}
.accordion-header button {box-shadow: -1px 1px 17px 1px #00000042 !important;margin-bottom: 8px;font-size: .8125rem;padding-top: .4rem;padding-bottom: .4rem;display: -ms-flexbox;display: flex;-webkit-box-align: end;-ms-flex-align: end;align-items: end;-webkit-box-pack: justify;-ms-flex-pack: justify;justify-content: center;font-weight: 500;line-height: 1.375rem;color: #ffffff !important;text-decoration: none !important;border: 0px !important;background-color: transparent !important;/* box-shadow: none !important; */outline: 0px !important;}
.accordion-button:focus{
  box-shadow: none !important; 
}
.accordion-button::after {
    margin-left: 10px;
    filter: brightness(0) invert(1);
}
.accordion-item{
  border: 0px;
  color: white;
}
    .product-specs-name{
          font-weight: 600;
          font-size: .875rem;
          line-height: 1.125rem;
    }
    .product-specs-value{
       font-size: .875rem;
       line-height: 1.125rem;
    }
    .product-specs {
    padding: 9px 0;
    border-bottom: 0.15px solid #ffffff;
    text-transform: capitalize;
}
.product-moreinfo-value {
font-weight: 400;
    font-size: .875rem;
    text-align: start;
    text-transform: capitalize;
}
.product-moreinfo {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-align: start;
    -ms-flex-align: start;
    align-items: start;
    padding-bottom: .75rem;
}
.accordion-collapse.show .accordion-body{
  border-radius: 14px;
  background: rgb(66 66 66 / 74%);
}
  .specs-collapsible {
    max-height: 160px; /* Approx height for 4 rows */
    overflow: hidden;
    position: relative;
    transition: max-height 0.3s ease;
  }

  .specs-collapsible.expanded {
    max-height: 500px; /* Large value to show full content */
    overflow-y: auto;
        padding-right: 10px;
  }
.accordion-button:not(.collapsed) {
    margin-bottom: 0;
    box-shadow: 0px -1px 17px 0px #00000042 !important;
    border-radius: 5px !important;
}
  .show-toggle {
    text-align: center;
    padding-top: 15px;
    cursor: pointer;
    font-weight: 500;
    color: white;
  }
  .arrow-icon {
  transition: transform 0.3s ease;
}

.arrow-icon.rotated {
  transform: rotate(180deg);
}
/* Mobile View: Move tabs to top */
@media (max-width: 600px) {
  .scrollable {
    /* max-height: 18vh; */
  }
  .buttontab .nav-pills {
      top: 23px;
      bottom: unset;
      box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
  }
  body {
       /* Space for fixed top tabs */
       background: #302f2f;
  }
  .config-panel {
    position: fixed;
    bottom: 84px;
    left: 50%;
    transform: translateX(-50%);
    width: 90%;
    flex-direction: column-reverse;
}
.right-buttons {
    flex-direction: row;
    bottom: 10px;
    left: 10px;
    transform: translateX(0%);
    position: fixed;
    top: unset;
    width: max-content;
    margin: 0 auto;
}
.button {
    width: 50px;
    height: 50px;
}
.config-maindiv {
  width: 87vw;
  min-width: 270px;
  margin-bottom: 2px;
  padding: 6px 0 10px 0px;
  display: flex;
  overflow-x: auto;
  scroll-behavior: smooth;
  margin: 0 auto;
  flex-direction: row;
  text-align: center;
  column-gap: 23px;
  align-items: center;
}
.config-paneldiv .centerdiv {
  padding: 0px 10px;
}
.namebox {
  position: absolute;
  top: unset;
  bottom: 0;
  color: white;
  right: unset;
  left: 1%;
  width: 98%;
  text-align: center;
  transform: none;
  border-radius: 28px 30px 0 0;
}
}

@media only screen and (max-width: 1024px) and (max-height: 500px) {
  .buttontab .nav-pills {
    position: fixed;
    bottom: unset;
    left: 11%;
    flex-direction: column;
    border-radius: 10px;
    transform: translate(-50%, -50%);
    top: 50%;
    align-items: center;
    row-gap: 9px;
}
.config-panel {
  flex-direction: row-reverse;
}
.rightbtn .close-button {
  height: max-content;
  margin: auto;
  margin-right: 5px;
}
.config-maindiv{
  display: flex;
  flex-direction: column;
  max-height: 65vh;
  padding: 5px 5px 0px 0px;
  overflow-x: auto;
  scroll-behavior: smooth;
}
.config-paneldiv {
  padding: 8px;
}
.infoContainer {
 
  flex-direction: column;
}
.containerTitle {
  font-size: 14px;
  line-height: 20px;
  text-align: center;
}
.namebox {
  position: absolute;
  bottom: 0;
  color: #ffffff;
  right: 1%;
  transform: translate(0, 0%);
  padding: 0px 0px 15px;
  background: #3f3f3f;
  border-radius: 26px 26px 0 0;
  font-size: 13px;
  width: 215px;
}
 .large {
  width: 94px;
  height: 94px;
}
.option-color1{
  width: 72px;
  height: 72px;
}
.contentTitle{
  font-size: 13px;
}
/* .scrollable {
  max-height: 75vh;
} */
}